## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XercesDocumentBridge::BuildBridgeTreeWalker Class Reference

`#include <XercesDocumentBridge.hpp>`

Inheritance diagram for XercesDocumentBridge::BuildBridgeTreeWalker:

[legend]
Collaboration diagram for XercesDocumentBridge::BuildBridgeTreeWalker:

[legend]
List of all members.

## Public Types

- typedef NavigatorBridgeVectorType NavigatorBridgeVectorInnerType
- typedef XalanVector<NavigatorStackEntryType> NavigatorStackType

## Public Methods

- BuildBridgeTreeWalker (XercesDocumentBridge *theDocument, XercesBridgeNavigator *theDocumentNavigator, NavigatorBridgeVectorInnerType &theNavigators, IndexType theStartIndex)
- virtual ~BuildBridgeTreeWalker ()

## Protected Methods

- virtual void startNode (const DOM_NodeType &node)
- virtual void endNode (const DOM_NodeType &node)

## Member Typedef Documentation

typedef NavigatorBridgeVectorType XercesDocumentBridge::BuildBridgeTreeWalker::NavigatorBridgeVectorInnerType

typedef XalanVector< NavigatorStackEntryType > XercesDocumentBridge::BuildBridgeTreeWalker::NavigatorStackType<NavigatorStackEntryType>

## Constructor & Destructor Documentation

XercesDocumentBridge::BuildBridgeTreeWalker::BuildBridgeTreeWalker ( | XercesDocumentBridge * theDocument,
| XercesBridgeNavigator * theDocumentNavigator,
| NavigatorBridgeVectorInnerType & theNavigators,
| IndexType theStartIndex )

XercesDocumentBridge::BuildBridgeTreeWalker::~BuildBridgeTreeWalker ( | )`[virtual]`

## Member Function Documentation

void XercesDocumentBridge::BuildBridgeTreeWalker::endNode ( | const DOM_NodeType & node )`[protected, virtual]`

| Reimplemented from XercesTreeWalker.

void XercesDocumentBridge::BuildBridgeTreeWalker::startNode ( | const DOM_NodeType & node )`[protected, virtual]`

| Reimplemented from XercesTreeWalker.

The documentation for this class was generated from the following file:

- XercesDocumentBridge.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.